#Source: https://github.com/Alex313031/Mercury
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}
%define _requires_exceptions libffmpeg.so()(64bit)

Summary: Firefox based browser for highend CPUs
Name: mercury-browser
Version:  123.0.1
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://github.com/Alex313031/Mercury
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no

%description
Firefox fork with compiler optimizations and patches from Librewolf, Waterfox, and GNU IceCat.
It aims to be the Firefox equivalent of Thorium (a Chromium fork). Compiler optimizations include
AVX, AES, LTO and PGO. This browser will not run on lower end CPUs.

%prep
%setup -T -n mercury -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

%define deb_package mercury-browser_%{version}_SSE4.deb

#download source
pushd $RPM_SOURCE_DIR
wget -nc "https://github.com/Alex313031/Mercury/releases/download/v.%{version}/%{deb_package}"
popd

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.gz | gunzip | tar x -C %buildroot

#no cron.daily
rm -rf %buildroot/etc

mkdir -p %buildroot/%{_datadir}/pixmaps
cp %buildroot/usr/lib/mercury/browser/chrome/icons/default/default48.png %buildroot/%{_datadir}/pixmaps/mercury-browser.png

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}
%{_prefix}/lib

%changelog
* Fri Mar 22 2024 tex - 123.0.1-1pclos2024
- new version

* Tue Feb 13 2024 tex - 122.0.2-1pclos2024
- new version

* Thu Jan 11 2024 tex - 121.0.1-1pclos2024
- new version

* Fri Oct 06 2023 tex - 115.4.0-1pclos2023
- new version

* Sun Sep 17 2023 tex - 115.3.0-1pclos2023
- create pkg
